using System;

internal sealed class Delegate872 : MulticastDelegate
{
	public extern object Invoke(object object_0, Type type_0);

	public static object smethod_0(object object_0, Type type_0, Delegate872 delegate872_1)
	{
		return delegate872_1(object_0, type_0);
	}

	public extern Delegate872(object object_0, IntPtr intptr_0);

	static Delegate872()
	{
		Class10.smethod_13(typeof(Delegate872).TypeHandle);
	}

	internal static Delegate872 delegate872_0;
}
